package com.trackplus.plugin.report.filterHistory;

import java.util.Date;
import java.util.List;

import com.aurel.track.report.execute.ReportBean;

/**
 * Class to gather the history filter configuration parameters 
 * @author Tamas
 *
 */
public class FilterHistoryConfig {
	
	private List<ReportBean> reportBeanList;
	private Boolean excludeWithoutHistory;		
	private Date dateFrom;
	private Date dateTo;
	private Integer[] fields;
	private Integer person;
	
	public Date getDateFrom() {
		return dateFrom;
	}
	public void setDateFrom(Date dateFrom) {
		this.dateFrom = dateFrom;
	}
	public Date getDateTo() {
		return dateTo;
	}
	public void setDateTo(Date dateTo) {
		this.dateTo = dateTo;
	}	
	public Integer[] getFields() {
		return fields;
	}
	public void setFields(Integer[] fields) {
		this.fields = fields;
	}
	public Integer getPerson() {
		return person;
	}
	public void setPerson(Integer person) {
		this.person = person;
	}
	public List<ReportBean> getReportBeanList() {
		return reportBeanList;
	}
	public void setReportBeanList(List<ReportBean> reportBeanList) {
		this.reportBeanList = reportBeanList;
	}
	public Boolean getExcludeWithoutHistory() {
		return excludeWithoutHistory;
	}
	public void setExcludeWithoutHistory(Boolean excludeWithoutHistory) {
		this.excludeWithoutHistory = excludeWithoutHistory;
	}
}
