<#assign s=JspTaglibs["/WEB-INF/tlds/struts2/struts-tags.tld"]>
<script type="text/javascript" src='${calendarPath}/calendar.js'></script>
<script type="text/javascript" src='${calendarPath}/lang/calendar-${locale.language}.js'></script>
<script type="text/javascript" src='${calendarPath}/calendar-setup.js'></script>
<script type="text/javascript">
		function datasourceTypeChanged() {
		var datasourceType = document.getElementsByName("params.selectedDatasourceType");
		var selectedProjects = document.getElementById("selectedProject");		
		var selectedQueryType = document.getElementById("selectedQueryType");
		var selectedRepositoryType = document.getElementById("selectedRepositoryType");
		var selectedQueryID = document.getElementById("selectedQueryID");
		var checkedValue;
		for (i=0;i<datasourceType.length;i++) {			
			if (datasourceType[i].checked) {
				checkedValue = datasourceType[i].value;
				break;
			}
		}
		var projectDisabled;
		if (checkedValue=="1") {
			projectDisabled = false;
		} else if (checkedValue=="2") {
			projectDisabled = true;
		}	
		selectedProjects.disabled = projectDisabled;			
		selectedQueryType.disabled = !projectDisabled;			
		selectedRepositoryType.disabled = !projectDisabled;
		selectedQueryID.disabled = !projectDisabled;
	}
	
	
	function periodTypeChanged() {
		var dateType = document.getElementsByName("params.selectedPeriodType");
		var dateFromField = document.getElementById("dateFromField");
		var dateFromPickerImg = document.getElementById("dateFromPickerImg");
		var dateToField = document.getElementById("dateToField");
		var dateToPickerImg = document.getElementById("dateToPickerImg");
		var daysBeforeField = document.getElementById("daysBeforeField");
		var checkedValue;
		for (i=0;i<dateType.length;i++) {			
			if (dateType[i].checked) {
				checkedValue = dateType[i].value;
				break;
			}
		}		
		if (checkedValue=="1") {			
			dateFromField.disabled = false;
			dateFromPickerImg.style.display = 'block';
			dateToField.disabled = false;
			dateToPickerImg.style.display = 'block';
			daysBeforeField.disabled = true;			
		} else if (checkedValue=="2") {
			dateFromField.disabled = true;
			dateFromPickerImg.style.display = 'none';
			dateToField.disabled = true;
			dateToPickerImg.style.display = 'none';
			daysBeforeField.disabled = false;
		}
   	}
	
	function selectionChanged() {
	 	//explictely set the action back to the reportDatasource!config.action because after 
	 	//an export the action attribute changes to reportDatasource.action
	 	//and thereafter each queryType or repositoryType change would trigger a new export
	 	document.forms[1].action = '${request.getContextPath()}/reportDatasource!config.action';	 	
	 	document.forms[1].submit();
	}	 
		
	function changeDisabledStatus() {
		var selectedCalculationMode = document.getElementById("selectedCalculationMode");
		var selectedStatus = document.getElementById("selectedStatus");
		selectedStatus.disabled=(selectedCalculationMode.value==1); 		
	}	
</script>

<@s.set name="pickerImgsStyle" value="%{'display.block'}"/>
<@s.if test="params.selectedPeriodType!=1">
	<@s.set name="pickerImgsStyle" value="%{'display.none'}"/>
</@s.if>

<h2>
	<@s.i18n name="${params.bundleName}">
		<@s.text name="configurationFor"/>&nbsp;<@s.text name="statusOverTime.label"/>
	</@s.i18n>
</h2>
<div class="containerRow2">
	<table>
		<tr>
			<td valign="top">
				<table>
					<tr style="height:0px;padding:0px;margin:0px;">	     
				     	<td style="padding:0px;margin:0px;"></td>
				     	<td style="width:90px;padding:0px;margin:0px;"></td>
				     	<td style="width:100%; min-width:100%;padding:0px;margin:0px;"></td>
				    </tr>
					<tr>
						<td>
							<@s.i18n name="%{params.bundleName}">
								<@s.text name="statusOverTime.prompt.title"/>:
							</@s.i18n>
						</td>
						<td colspan="2" style="vertical-align: top;">
							<@s.textfield size="30" name="params.title" theme="simple"/>
						</td>			
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.datasourceType"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.radio name="params.selectedDatasourceType"
								id="selectedDatasourceType"  				 
								list="params.datasourceTypes" listKey="value" listValue="label"
								onclick="javascript:datasourceTypeChanged()" theme="simple"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.projectsReleases"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedProject" id="selectedProject" list="params.projects"
								listKey="value" listValue="label" theme="simple" disabled="%{params.selectedDatasourceType!=1}"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.queryType"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedQueryType" id="selectedQueryType" list="params.queryTypes"
								listKey="value" listValue="label" theme="simple" disabled="%{params.selectedDatasourceType!=2}"
								onchange="javascript:selectionChanged()"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.repositoryType"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedRepositoryType" id="selectedRepositoryType" list="params.repositoryTypes"
								listKey="value" listValue="label" theme="simple" disabled="%{params.selectedDatasourceType!=2}"
								onchange="javascript:selectionChanged()"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.queries"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedQueryID" id="selectedQueryID" list="params.queries"
								listKey="objectID" listValue="label" theme="simple" disabled="%{params.selectedDatasourceType!=2}"/>									
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.periodType"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.radio name="params.selectedPeriodType"
								id="selectedPeriodType"
								list="params.periodTypes" listKey="value" listValue="label"
								onclick="javascript:periodTypeChanged()" theme="simple"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
						   	<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.dateFrom"/>:
							</@s.i18n>
						</td>
						<td>				
							<@s.textfield id="dateFromField" name="params.dateFrom" size="12" 
								theme="simple" disabled="%{params.selectedPeriodType!=1}"/>
						</td>
						<td align="left">		
							<img width="16" height="16" src="${iconsPath}calendar.gif" 
						    	id="dateFromPickerImg" style="display"
						    	onmouseover="this.style.background='#1d5090';" onmouseout="this.style.background=''" 
						    	style='<s:property value="pickerImgsStyle"/>'/>	
						</td>			
					 </tr>	
					 <tr>
						<td class="dataName">
						   	<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.dateTo"/>:
							</@s.i18n>
						</td>
						<td>				
							<@s.textfield id="dateToField" name="params.dateTo" size="12" 
								theme="simple" disabled="%{params.selectedPeriodType!=1}"/>
						</td>
						<td align="left">
							<img width="16" height="16" src="${iconsPath}calendar.gif" 
						    	id="dateToPickerImg"
						    	onmouseover="this.style.background='#1d5090';" onmouseout="this.style.background=''" 
						    	style='<s:property value="pickerImgsStyle"/>'/>	
						</td>			
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="%{params.bundleName}">
								<@s.text name="common.prompt.daysBefore"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.textfield id="daysBeforeField" name="params.daysBefore" theme="simple" 
								size="10" disabled="%{params.selectedPeriodType!=2}"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="common.prompt.timeInterval"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedTimeInterval"
								list="params.timeIntervals"	listKey="value" listValue="label" theme="simple"/>									
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="statusOverTime.prompt.calculationMode"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedCalculationMode" id="selectedCalculationMode"
								list="params.calculationModes"	listKey="value" listValue="label" theme="simple"
								onchange="changeDisabledStatus()"/>
						</td>
					</tr>
					<tr>
						<td class="dataName">
							<@s.i18n name="${params.bundleName}">
								<@s.text name="statusOverTime.prompt.statuses"/>:
							</@s.i18n>
						</td>
						<td colspan="2">
							<@s.select name="params.selectedStatus" id="selectedStatus" list="params.statuses"
								listKey="objectID.toString()" listValue="label" multiple="true" size="8"
								theme="simple" disabled="params.disableStatus"/>
						</td>
					</tr>		
				</table>
			</td>
			<td valign="top">
				<div class="olist">
					<div class="ulist">
						<br/><br/>
						<@s.i18n name="${params.bundleName}">
							<b><@s.text name="statusOverTime.prompt.calculationMode"/></b>
						</@s.i18n>
						<ul>
						<@s.i18n name="${params.bundleName}">
							<li><@s.text name="statusOverTime.help.new"/></li>
						</@s.i18n>
						<@s.i18n name="${params.bundleName}">
							<li><@s.text name="statusOverTime.help.actualSample"/></li>
						</@s.i18n>
						<@s.i18n name="${params.bundleName}">
							<li><@s.text name="statusOverTime.help.actualActivity"/></li>
						</@s.i18n>
						<@s.i18n name="${params.bundleName}">
							<li><@s.text name="statusOverTime.help.accumulatedActivity"/></li>
						</@s.i18n>
						</ul>
					</div>
				</div>
			</td>
		</tr>
	</table>
</div>
<script type="text/javascript">
	Calendar.setup(
	{
	inputField : "dateFromField", // ID of the input field
	ifFormat : "<@s.property value='jsDateFormat'/>", // the date format
	button : "dateFromPickerImg" // ID of the button
	}
	);
	
	Calendar.setup(
	{
	inputField : "dateToField", // ID of the input field
	ifFormat : "<@s.property value='jsDateFormat'/>", // the date format
	button : "dateToPickerImg" // ID of the button
	}
	);
</script>