/*
 * This file is part of the Track+ application, a
 * tool for project and change management.
 *
 * Copyright (C) 2007 Trackplus
 *
 * Use and distribution of this software is governed by the
 * Track+ license conditions.
 * 
 * $Id: AccountingReportConfigStruct.java 2688 2010-11-04 16:47:10Z friedj $
 * 
 */

package com.trackplus.plugin.report.accounting;

import java.util.Date;
import java.util.List;

public class AccountingReportConfigStruct {		
	private Date dateFrom;
	private Date dateTo;
	private List<Integer> selectedProjects;
	private int[] selectedPersons;
	private int[] selectedAccounts;	
	
	/**
	 * @return Returns the dateFrom.
	 */
	public Date getDateFrom() {
		return dateFrom;
	}
	/**
	 * @param dateFrom The dateFrom to set.
	 */
	public void setDateFrom(Date dateFrom) {
		this.dateFrom = dateFrom;
	}
	/**
	 * @return Returns the dateTo.
	 */
	public Date getDateTo() {
		return dateTo;
	}
	/**
	 * @param dateTo The dateTo to set.
	 */
	public void setDateTo(Date dateTo) {
		this.dateTo = dateTo;
	}
	/**
	 * @return Returns the selectedAccounts.
	 */
	public int[] getSelectedAccounts() {
		return selectedAccounts;
	}
	/**
	 * @param selectedAccounts The selectedAccounts to set.
	 */
	public void setSelectedAccounts(int[] selectedAccounts) {
		this.selectedAccounts = selectedAccounts;
	}
	/**
	 * @return Returns the selectedPersons.
	 */
	public int[] getSelectedPersons() {
		return selectedPersons;
	}
	/**
	 * @param selectedPersons The selectedPersons to set.
	 */
	public void setSelectedPersons(int[] selectedPersons) {
		this.selectedPersons = selectedPersons;
	}
	public List<Integer> getSelectedProjects() {
		return selectedProjects;
	}
	public void setSelectedProjects(List<Integer> selectedProjects) {
		this.selectedProjects = selectedProjects;
	}
	
	
	
	
}
